(defun randu (n &optional (seed 12345))
    (let ((a (+ (^ 2 16) 3))
          (m (^ 2 31)))
     (flet ((mod (x m) (- x (* m (floor (/ x m))))))
        (do ((i 0 (+ i 1))
             (res (list seed) (cons (mod (* a (first res)) m) res)))
            ((>= i n) (/ (rest (reverse res)) m))))))

(let ((p (spin-plot (apply #'mapcar #'list (split-list (randu 600) 3))
						  :variable-labels '("x1" "x2" "x3"))))
     (send p :plot-controls))

