
;;;
;;;  Arc Settings File --- Created on Tue Mar 6, 2001, 16:28:55
;;;

(arc-setting (QUOTE *AUTO-SAVE*)
(QUOTE NIL)
"nil = do not save transcript file
t = use transcript.txt for transcript file
ask = get file name from a dialog
prompt = prompt before the dialog
filename = use the file filename without asking.
Select \"Make change and save new setting file\" below."
(QUOTE NIL)
)

(arc-setting (QUOTE *INTERCHANGE-DELETE-BLANKS*)
(QUOTE T)
"If t, translates all blanks in text fields to \"_\", if
nil, blanks are unchanged."
(QUOTE T)
)

(arc-setting (QUOTE *INTERCHANGE-QUOTES*)
(QUOTE NIL)
"If t, puts quotes around text strings in interchange files.
If nil, no quotes are used.  Without quotes, all blanks are
changed to \"_\"."
(QUOTE NIL)
)

(arc-setting (QUOTE *GRAPH-TRANSCRIPT*)
(QUOTE T)
"It t, displays the title of the graph in the text window
when the graph is created.  If nil, title is skipped."
(QUOTE T)
)

(arc-setting (QUOTE *DISPLAY-COEF-PVALUES*)
(QUOTE T)
"Displays two-tailed p-values for coef/se in linear models 
using the t-distribution, and in nonlinear and glm models 
using the normal distribution."
(QUOTE NIL)
)

(arc-setting (QUOTE *IR-DEFAULT-NUM-SLICES*)
(QUOTE 8)
"Set the default number of slices for SIR and SAVE.
The number of slices can also be set in the inverse
regression dialog."
(QUOTE 8)
)

(arc-setting (QUOTE *CONFIDENCE-CURVE-MAX-COVERAGE*)
(QUOTE 0.96)
"Sets the approximate coverage for a confidence curve.  For example,
the default of .96 suggests that the curves drawn are likely to include
all confidence intervals up to about 96%.  If the method computing the
confidence curve fails, try making this number somewhat smaller."
(QUOTE 0.96)
)

(arc-setting (QUOTE *NONLINEAR-LIK-GRID-SIZE*)
(QUOTE 15)
"This gives the number of points along each axis in the grid of
a 2D likelihood region in nonlinear regression."
(QUOTE 15)
)

(arc-setting (QUOTE *NONLINEAR-LIK-GRID-RANGE*)
(QUOTE 4)
"This gives the number of SDs along each axis
a 2D likelihood region in nonlinear regression."
(QUOTE 4)
)

(arc-setting (QUOTE *IGNORE-EXTRAS*)
(QUOTE NIL)
"If t, files in the Extras directory will NOT be loaded at run time."
(QUOTE NIL)
)

(arc-setting (QUOTE *GNM-DEFAULT-ALGORITHM*)
(QUOTE GAUSS)
"provides the default algorithm for fitting generalized nonlinear models.
no other algorithms are currently available."
(QUOTE GAUSS)
)

(arc-setting (QUOTE *INTERCHANGE-MISSING-INDICATOR*)
(QUOTE ?)
"Sets the missing data indictor for interchange files."
(QUOTE ?)
)

(arc-setting (QUOTE *INTERCHANGE-HEADER*)
(QUOTE T)
"If t, includes variable names in the first row of the interchange
file.  If nil, no header is included."
(QUOTE NIL)
)

(arc-setting (QUOTE *GRAPH-TO-TRANSPORT-FILE*)
(QUOTE T)
"If t, adds a menu item to allow saving the points in
a graph as a transport file.  If nil, menu item is
not available."
(QUOTE NIL)
)

(arc-setting (QUOTE *BOXPLOT-SHOW-5-NUM-SUMRY*)
(QUOTE NIL)
"If nil, display within-box mean and standard deviation.  If 
t, within-box 5 number summary (min, q(.25), median, q(.75), max)."
(QUOTE NIL)
)

(arc-setting (QUOTE *ALPHABETIZE-VARIABLES*)
(QUOTE T)
"If t, display variables alphabetically within type;
when nil, display in order entered into dataset."
(QUOTE T)
)

(arc-setting (QUOTE *ALPHABETIZE-LABELS*)
(QUOTE NIL)
"The values of a variable are sometimes used to create 
factors, to define columns in a table, or in recoding text 
to numeric.  Set to t to alphabetized the text labels."
(QUOTE NIL)
)

(arc-setting (QUOTE *TABLES-IN-LATEX-FORMAT*)
(QUOTE NIL)
"If t, add LaTeX code in some tables and displays.  Default 
is nil."
(QUOTE NIL)
)

(arc-setting (QUOTE *SCATTERPLOT-SIZE*)
(QUOTE 1)
"Relative size factor for scatterplots."
(QUOTE 1)
)

(arc-setting (QUOTE *HISTOGRAM-SIZE*)
(QUOTE 1)
"Relative size factor for histograms."
(QUOTE 1)
)

(arc-setting (QUOTE *SPINPLOT-SIZE*)
(QUOTE 1)
"Relative size factor for 3D plots."
(QUOTE 1)
)

(arc-setting (QUOTE *SCATMAT-SIZE*)
(QUOTE 1)
"Relative size factor for scatterplot matrices."
(QUOTE 1)
)

(arc-setting (QUOTE *SPINPLOT-ROTATION-SPEED*)
(QUOTE 1)
"Changes rotation speed in 3D plots.  Smaller values slow 
plots, larger values speed them up.  Recommended values 
are near 1.0."
(QUOTE 1)
)

(arc-setting (QUOTE *SPINPLOT-USE-COLOR*)
(QUOTE T)
"If color doesn't seem to work, change this to nil."
(QUOTE T)
)

(arc-setting (QUOTE *SPINPLOT-DEPTH-CUING*)
(QUOTE NIL)
"If t, use depth-cuing in 3D plots.  Default is nil."
(QUOTE NIL)
)

(arc-setting (QUOTE *MARK-GROUPS-WITH-COLOR*)
(QUOTE T)
"Use color to mark groups in plots? (t or nil)."
(QUOTE T)
)

(arc-setting (QUOTE *MARK-GROUPS-WITH-SYMBOL*)
(QUOTE T)
"Use symbols to mark groups in plots (t or nil)."
(QUOTE T)
)

(arc-setting (QUOTE *MISSING-DEFAULT*)
(QUOTE NIL)
"If this keyword is t, then all cases with missing values
are deleted when a data file is read.  If nil, then each 
computation uses all available observed cases.  The 
delete-missing keyword on data files overrides this setting."
(QUOTE NIL)
)

(arc-setting (QUOTE *MISSING-INDICATOR-DEFAULT*)
(QUOTE ?)
"This is the default character for missing values on
a data file."
(QUOTE ?)
)

(arc-setting (QUOTE *PRINT-N-DELETED-CASES*)
(QUOTE 20)
"Print the labels of this many deleted cases in headers."
(QUOTE 20)
)

(arc-setting (QUOTE *PRINT-N-MISSING-CASES*)
(QUOTE 20)
"Print the labels of this many missing cases in headers."
(QUOTE 20)
)

(arc-setting (QUOTE *POWER-TRANSFORMATION-ACCURACY*)
(QUOTE 0.01)
"Accuracy of computations in Box-Cox power transformations."
(QUOTE 0.01)
)

(arc-setting (QUOTE *LOGARITHM-BASE-DEFAULT*)
(QUOTE E)
"Base of logarithms.  Default is e; to change, enter
a number like 10 or 2."
(QUOTE E)
)

(arc-setting (QUOTE *SPINPLOT-BLACK-BACKGROUND*)
(QUOTE NIL)
"If t, 3D plots have black points on a white background.
If nil, 3D plots have white points on a black background."
(QUOTE NIL)
)

(arc-setting (QUOTE *BLACK-BACKGROUND*)
(QUOTE T)
"If t, plot black points on a white background in all but 3D plots.
If nil, plot white points on a black background in all but 3D plots.
For 3D plots, use *spinplot-black-background*."
(QUOTE T)
)

(arc-setting (QUOTE *POLYNOMIAL-MAX-DEGREE*)
(QUOTE 5)
"Maximum degree of polynomial on OLS slide bar."
(QUOTE 5)
)

(arc-setting (QUOTE *TRANSFORMATION-SLIDEBAR-LABEL-LENGTH*)
(QUOTE (0 10))
"This keyword gives the length of labels on transformation
slidebars.  Type a pair of numbers, like (0 7), meaning start
the label at character 0, and use the first 7 characters."
(QUOTE (0 10))
)

(arc-setting (QUOTE *SCATMAT-LABEL-LENGTH*)
(QUOTE (0 10))
"This keyword gives the length of labels on scatterplot
matrices.  Type a pair of numbers, like (0 7), meaning start
the label at character 0, and use the first 7 characters."
(QUOTE (0 10))
)

(arc-setting (QUOTE *BOXPLOT-SPREAD*)
(QUOTE 1.5)
"The following constant determines how boxplots are drawn.
It is the number of midspreads to the outer fences.  Points 
outside this range are shown on the plot explicitly.  The 
default value of 1.5 is the usual one."
(QUOTE 1.5)
)

(arc-setting (QUOTE *BOXPLOT-EQUAL-SPACING*)
(QUOTE NIL)
"By default, the boxes in a boxplot are spaced according to 
the value of the conditioning variable  (conditioning on
a text variable always gives equal spacing). Although not 
recommended, you can get equal spacing by setting to t."
(QUOTE NIL)
)

(arc-setting (QUOTE *REGRESSION-PIVOT-TOLERANCE*)
(QUOTE 1e-08)
"Tolerance for adding a predictor to a regression model."
(QUOTE 1e-08)
)

(arc-setting (QUOTE *NONLINEAR-ALGORITHM*)
(QUOTE GAUSS)
"This setting chooses the default algorithm used to compute 
estimates in nonlinear regression.  Alternatives are 
Marquardt, newton, steepest.  If the algorithm fails 
initially, you will be given the opportunity to try a 
different algorithm."
(QUOTE GAUSS)
)

(arc-setting (QUOTE *NONLINEAR-COUNT-LIMIT*)
(QUOTE 40)
"Maximum number of iterations in nonlinear regression."
(QUOTE 40)
)

(arc-setting (QUOTE *NONLINEAR-BACKTRACK-LIMIT*)
(QUOTE 10)
"Maximum number of backtrack steps allowed in nonlinear 
regression."
(QUOTE 10)
)

(arc-setting (QUOTE *NONLINEAR-EPSILON*)
(QUOTE 1e-06)
"Set the convergence criteria for nonlinear regression.  
This is for the difference between RSS."
(QUOTE 1e-06)
)

(arc-setting (QUOTE *NONLINEAR-CONTOUR-TOLERANCE*)
(QUOTE 0.99999)
"For log-likelihood contour plots, contours larger than
this value are treated as equal to one.  If this causes
problems, increase the constant.  If you wish to see 99% 
confidence areas, do not set it below .999."
(QUOTE 0.99999)
)

(arc-setting (QUOTE *NONLINEAR-CONTOUR-LEVELS*)
(QUOTE (0.95 0.9))
"Set the default log-likelihood contour levels that are 
shown on 2D likelihood contour plots."
(QUOTE (0.95 0.9))
)

(arc-setting (QUOTE *LINK-WITHIN-DATASET*)
(QUOTE T)
"Plots are linked by default only within a dataset.  To set 
linking globally, usually not a good idea, set to nil."
(QUOTE T)
)

(arc-setting (QUOTE *GREG-PREDICTORS*)
(QUOTE PHD)
"The Greg predictors are defined by an inverse regression
fitting method.  The default uses pHd to define the 
predictors.  The acceptable alternative is SAVE."
(QUOTE PHD)
)

(arc-setting (QUOTE *GREG-GUESS-NEXT-STEP*)
(QUOTE T)
"In graphical regression, after a dimension decision is 
made from a 3D added-variable plot, or a 3D binary 
response plot, a dialog is generated to define the next 
3D AVP or 3D binary response plot.  If you find this 
confusing, set this to nil."
(QUOTE T)
)

(arc-setting (QUOTE *MARKS-REMOVE-MISSING*)
(QUOTE T)
"Graphs include as many complete, non-missing cases as 
possible.  If a graph has a marking variable, then only 
cases observed on the data and the marking variable 
are used, unless this keyword is set to nil."
(QUOTE T)
)

(arc-setting (QUOTE *TABLE-COLUMNS*)
(QUOTE 80)
"When viewing tables or correlation/covariance matrices on 
the screen (Table data... item in the dataset menu), sets 
the maximum width of a table, the  default being 80 columns.  
If the table requires more than this number of columns it is 
split into more than one table."
(QUOTE 80)
)

(arc-setting (QUOTE *SPINPLOT-POSITIVE-RESIDUAL-COLOR*)
(QUOTE CYAN)
"When viewing a 3D surface on a spin plot, observed and fitted 
values can be joined by a line.  Positive residuals will be 
drawn in this color"
(QUOTE CYAN)
)

(arc-setting (QUOTE *SPINPLOT-NEGATIVE-RESIDUAL-COLOR*)
(QUOTE YELLOW)
"When viewing a 3D surface on a spin plot, observed and fitted 
values can be joined by a line.  Negative residuals will be 
drawn in this color"
(QUOTE CYAN)
)

(arc-setting (QUOTE *IR-NUM-LC*)
(QUOTE 3)
"When fitting inverse regression, the first *ir-num-lc* 
are saved as variables for use in other models."
(QUOTE 3)
)

(arc-setting (QUOTE *IR-WEIGHTS*)
(QUOTE T)
"If t, allows for the use of weights in inverse regression."
(QUOTE NIL)
)

(arc-setting (QUOTE *IR-PHDY*)
(QUOTE NIL)
"If t, include Principal Hessian Directions with response = y
in the inverse regression menu."
(QUOTE NIL)
)

(arc-setting (QUOTE *IR-POLY*)
(QUOTE NIL)
"If t, include polynomial fitting 
in the inverse regression menu."
(QUOTE NIL)
)

(arc-setting (QUOTE *GLM-COUNT-LIMIT*)
(QUOTE 30)
"A generalized linear model will be fit with no
more than this number of iterations."
(QUOTE 30)
)

(arc-setting (QUOTE *GLM-DEVIANCE-CHANGE*)
(QUOTE 0.001)
"A generalized linear model will have converged if the change
in deviance is less than this amount."
(QUOTE 0.001)
)

(arc-setting (QUOTE *GLM-DEVIANCE-MINIMUM*)
(QUOTE 0.05)
"A generalized linear model will be assumed to have obtained an exact
fit and stop iterating if the deviance is less than this value."
(QUOTE 0.05)
)

(arc-setting (QUOTE *TABLE-DATA-DEFAULT*)
(QUOTE T)
"If t, the default for the \"Table data\" command is to create tables for
viewing.  If nil, the default is to display the data in a list."
(QUOTE T)
)

(arc-setting (QUOTE *IR-PHD-VERBOSE*)
(QUOTE T)
"If t, verbose output with pHd, if nil, less output that is
more readable."
(QUOTE NIL)
)

(arc-setting (QUOTE *BINOMIAL-TRIALS-DEFAULT*)
(QUOTE NIL)
"If set to t, the variable \"Ones\" is the default for the
binomial denominator in binary regression; otherwise there is
not default."
(QUOTE NIL)
)

(arc-setting (QUOTE *BINOMIAL-EXTRA-VARIANCE*)
(QUOTE NIL)
"If t, use Williams' method to estimate extra binomial variance.
See Collett (1991), Modelling Binary Data, Chapman & Hall, p. 194."
(QUOTE NIL)
)

(arc-setting (QUOTE *NONLINEAR-DISTANCES-PLOT-OPTIONS*)
(QUOTE NIL)
"If t, add Dist. Options pull down menu to distances plot.
This allows method and number of iterations to be toggled."
(QUOTE NIL)
)

(arc-setting (QUOTE *PROB-PLOT-ENVELOPE*)
(QUOTE 19)
"Number of replications used to compute simulated envelopes
for probability plots of residuals."
(QUOTE 19)
)

(arc-setting (QUOTE *LOAD-EXTRAS*)
(QUOTE T)
"When t, all files in the directory Extras will be automatically loaded
whenever Arc is started."
(QUOTE T)
)

(arc-setting (QUOTE *TRANSFORMATION-DEFAULT-FAMILY*)
(QUOTE BOX-COX)
"Chooses the default transformation method for scatterplot matrices and \r
elsewhere.  Possible values are box-cox, yj-power, folded-power, or modulus."
(QUOTE BOX-COX)
)

(arc-setting (QUOTE *SMOOTHER-NUM-POINTS*)
(QUOTE 1000)
"When drawing a smoother on a graph, use at most
this many points." 
(QUOTE 1000)
)
