dataset = Casuarina
begin description
Seeds from a tropical tree called Casuarina cunninghamii were
collected from two seed sources.  Six plants from each
seed source were grown with fertilizer and the other six without.
After four years tree diameter was measured at 65 cm above ground
and the trees were cut and weighed.  To goal is to study the
relationship between production, or weight, and diameter, to
assess the effects of fertilizer, and of seed source.  Data from
Ross Cunningham, Australian National University.
end description
begin variables
Col 0 = S =seed source (0 or 1)
Col 1 = F = fertilizer, 0 = no 1 = yes
Col 2 = D = diameter in cm at 65 cm above the ground
Col 3 = W = weight, kg
end variables
begin data
(
0 0 7.2 10.404 
0 0 8.2 18.161 
0 0 10.3 25.778 
0 0 10.1 20.511 
0 0 10.7 21.87 
0 0 13.3 47.186 
0 1 5.1 4.447 
0 1 7.2 8.682 
0 1 10.2 19.511 
0 1 11.3 37.682 
0 1 12.6 25.775 
0 1 17.1 67.363 
1 0 5.1 4.02 
1 0 6.5 7.504 
1 0 8.4 13.391 
1 0 8.8 13.969 
1 0 11.6 24.409 
1 0 15 35.288 
1 1 4.8 3.564 
1 1 8.2 12.829 
1 1 9 14.956 
1 1 10.2 19.039 
1 1 11.5 23.714 
1 1 11.9 25.39 
)
