dataset = Donner
begin description
The Donner Party was the most famous tragedy in the history of the
westward migration in the United States.  In the winter of 1846-47,
abount ninety wagon train emigrants were unable to cross the Sierra
Nevada Mountains of California before winter, and almost one-half starved
to death.  Perhaps because they were ordinary people -- farmers,
merchants, parents, children -- their story captures the imagination.
These data include some information about each of the members of the party.
The data were taken from the internet site
http://www.utahcrossroads.org/DonnerParty/Roster.htm.  See also
Johnson, Kristin (1996). Unfortunate Emigrants: Narratives of the Donner
Party. Logan, UT: Utah State University Press.
end description
missing = ?
begin variables
Col 0 = Age = Approximate age in 1846
Col 1 = Outcome = 1 if survived, 0 if died
Col 2 = Sex = 1 if male, 0 if female
Col 3 = Family_name = Either a family name, hired or single
Col 4 = Name = Name of Person
Col 5 = Status = Family, single or hired
end variables
begin data
(
13 1 1 "Breen" "Breen_Edward " "Family" 
1 1 0 "Breen" "Breen_Margaret Isabella" "Family" 
5 1 1 "Breen" "Breen_James Frederick" "Family" 
14 1 1 "Breen" "Breen_John" "Family" 
40 1 0 "Breen" "Breen_Margaret Bulger" "Family" 
51 1 1 "Breen" "Breen_Patrick" "Family" 
9 1 1 "Breen" "Breen_Patrick_Jr." "Family" 
3 1 1 "Breen" "Breen_Peter" "Family" 
8 1 1 "Breen" "Breen_Simon Preston" "Family" 
13 1 0 "G Donner" "Donner_Elitha Cumi" "Family" 
3 1 0 "G Donner" "Donner_Eliza Poor" "Family" 
45 0 0 "J Donner" "Donner_Elizabeth Blue Hook" "Family" 
6 1 0 "G Donner" "Donner_Frances Eustis" "Family" 
61 0 1 "G Donner" "Donner_George" "Family" 
9 1 1 "J Donner" "Donner_George_Jr." "Family" 
4 1 0 "G Donner" "Donner_Georgia Ann" "Family" 
5 0 1 "J Donner" "Donner_Isaac" "Family" 
56 0 1 "J Donner" "Donner_Jacob" "Family" 
11 1 0 "G Donner" "Donner_Leanna Charity" "Family" 
3 0 1 "J Donner" "Donner_Lewis" "Family" 
7 1 0 "J Donner" "Donner_Mary" "Family" 
4 0 1 "J Donner" "Donner_Samuel" "Family" 
44 0 0 "G Donner" "Donner_Tamzene" "Family" 
25 0 0 "Eddy" "Eddy_Eleanor Priscilla" "Family" 
3 0 1 "Eddy" "Eddy_James" "Family" 
1 0 0 "Eddy" "Eddy_Margaret" "Family" 
28 1 1 "Eddy" "Eddy_William Henry" "Family" 
28 0 1 "Hired" "Elliott_Milford" "Hired" 
23 0 1 "Graves" "Fosdick_Jay" "Family" 
21 1 0 "Graves" "Fosdick_Sarah Graves" "Family" 
1 0 1 "Murphy-Foster-Pike" "Foster_Jeremiah George" "Family" 
19 1 0 "Murphy-Foster-Pike" "Foster_Sarah Ann Charlotte Murphy" "Family" 
30 1 1 "Murphy-Foster-Pike" "Foster_William McFadden" "Family" 
14 1 0 "Graves" "Graves_Eleanor" "Family" 
45 0 0 "Graves" "Graves_Elizabeth Cooper" "Family" 
1 1 0 "Graves" "Graves_Elizabeth" "Family" 
57 0 1 "Graves" "Graves_Franklin Ward" "Family" 
5 0 1 "Graves" "Graves_Franklin Ward_Jr." "Family" 
7 1 1 "Graves" "Graves_Jonathan" "Family" 
12 1 0 "Graves" "Graves_Lovina" "Family" 
19 1 0 "Graves" "Graves_Mary Ann" "Family" 
9 1 0 "Graves" "Graves_Nancy" "Family" 
17 1 1 "Graves" "Graves William Cooper" "Family" 
60 0 1 "Hired" "Hardcoop_Mr" "Hired" 
27 1 1 "Hired" "Herron_Walter" "Hired" 
14 1 1 "Hired" "Hook_Solomon Elijah" "Hired" 
12 0 1 "Hired" "Hook_William" "Hired" 
16 1 1 "Hired" "James_Noah" "Hired" 
3 0 0 "Keseberg" "Keseberg_Ada" "Family" 
23 1 0 "Keseberg" "Keseberg_Elisabeth Philippine Zimmerman" "Family" 
32 1 1 "Keseberg" "Keseberg_Johann Ludwig Christian" "Family" 
1 0 1 "Keseberg" "Keseberg_Louis_Jr." "Family" 
70 0 0 "Reed-Keyes" "Keyes_Sarah Handley" "Family" 
? 0 1 "Hired" "Luis" "Hired" 
25 1 0 "McCutchen" "McCutchen_Amanda Henderson" "Family" 
1 0 0 "McCutchen" "McCutchen_Harriet " "Family" 
30 1 1 "McCutchen" "McCutchen_William" "Family" 
30 1 1 "Hired" "Miller_Hiram O." "Hired" 
16 0 1 "Murphy-Foster-Pike" "Murphy_John Landrum" "Family" 
12 0 1 "Murphy-Foster-Pike" "Murphy_Lemuel B." "Family" 
36 0 0 "Murphy-Foster-Pike" "Murphy_Levinah W. Jackson" "Family" 
14 1 0 "Murphy-Foster-Pike" "Murphy_Meriam Marjory" "Family" 
8 1 1 "Murphy-Foster-Pike" "Murphy_Simon Peter" "Family" 
10 1 1 "Murphy-Foster-Pike" "Murphy_William Green" "Family" 
1 0 0 "Murphy-Foster-Pike" "Pike_Catherine" "Family" 
18 1 0 "Murphy-Foster-Pike" "Pike_Harriet Frances Murphy" "Family" 
2 1 0 "Murphy-Foster-Pike" "Pike_Naomi Levina" "Family" 
25 0 1 "Murphy-Foster-Pike" "Pike_William M." "Family" 
45 1 1 "Reed-Keyes" "Reed_James Frazier" "Family" 
6 1 1 "Reed-Keyes" "Reed_James Frazier_Jr." "Family" 
32 1 0 "Reed-Keyes" "Reed_Margret Wilson Keyes Backenstoe" "Family" 
9 1 0 "Reed-Keyes" "Reed_Martha Jane" "Family" 
4 1 1 "Reed-Keyes" "Reed_Thomas Keyes" "Family" 
13 1 0 "Reed-Keyes" "Reed_Virginia Elizabeth Backenstoe" "Family" 
20 1 0 "Wolfinger" "Wolfinger_Doris" "Family" 
? 0 1 "Wolfinger" "Wolfinger_Mr" "Family" 
30 0 1 "Hired" "Burger_Charles" "Hired" 
30 0 1 "Hired" "Denton_John" "Hired" 
? 0 1 "Hired" "Salvador" "Hired" 
25 0 1 "Hired" "Shoemaker_Samuel" "Hired" 
25 0 1 "Hired" "Smith_James" "Hired" 
25 0 1 "Hired" "Snyder_John" "Hired" 
16 1 1 "Hired" "Trudeau_Jean Baptiste" "Hired" 
25 0 1 "Hired" "Williams_Baylis" "Hired" 
31 1 0 "Hired" "Williams_Eliza" "Hired" 
23 0 1 "Hired" "Antonio" "Hired" 
35 0 1 "Single" "Dolan_Patrick" "Single" 
25 0 1 "Single" "Halloran_Luke" "Single" 
30 0 1 "Single" "Reinhardt_Joseph" "Single" 
30 0 1 "Single" "Spitzer_Augustus" "Single" 
35 0 1 "Single" "Stanton_Charles Tyler" "Single" 
)
